"""
File: circles.py
Fab Academy 2021 - Spiral Development
16 Weeks + Wildcard

Draws a circle.

1. The inputs are the coordinates of the center point and the radius.

"""
import math
from turtle import Turtle

def drawCircle(t, x, y, radius):
    t.shape("circle")
    t.up()
    t.goto(x, y) # circles anchored to one side
    t.setheading(0) # anchors the circles upright
    t.speed(0) # fastest speed
    t.down()
    for count in range(120):
        t.left(3)
        t.forward(2.0 * math.pi * radius / 120)


def main():
    t = Turtle()
    x = 5
    y = -150

    for count in range(16):
        radius = (count + 1) * 10
        drawCircle(t, x, y, radius)


if __name__ == "__main__":
    main()
